
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>apache密码生成工具htpasswd的应用 / iVAN</title>

    <meta name="description" content="apache密码生成工具htpasswd的应用 1. htpasswd的作用与安装 2. htpasswd命令详解 3. htpasswd的实例 4. htpasswd的应用 一.htpasswd的作用与安装 htpasswd是apache的一个工具,该工具主要用于建立和更新存储用户名.密码的文本文件,主要用于对基于http用户的认证. htpasswd的安装很简单,它是随apache的安装而生成.这点与ab工具是一样的,如果哪位童鞋有不明白的地方可以查看&lt;烂泥:apache性能测试工具ab的应用&gt;这篇文章. 如果apache是通 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">apache密码生成工具htpasswd的应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1、 htpasswd的作用与安装</p>
<p>2、 htpasswd命令详解</p>
<p>3、 htpasswd的实例</p>
<p>4、 htpasswd的应用</p>
<p><b>一、htpasswd的作用与安装</b></p>
<p>htpasswd是apache的一个工具，该工具主要用于建立和更新存储用户名、密码的文本文件，主要用于对基于http用户的认证。</p>
<p>htpasswd的安装很简单，它是随apache的安装而生成。这点与ab工具是一样的，如果哪位童鞋有不明白的地方可以查看《<a href="http://www.ilanni.com/?p=8348" rel="external nofollow noreferrer">烂泥：apache性能测试工具ab的应用</a>》这篇文章。</p>
<p>如果apache是通过RPM的yum方式进行安装的话，该命令存放在/usr/bin/目录下，如下：</p>
<p>which htpasswd</p>
<p>/usr/bin/htpasswd</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image001.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwMV90aHVtYi5wbmc=.jpg"></a></p>
<p>如果apache是源码方式安装的话，该命令存放在apache安装目录的bin目录下，如下：</p>
<p>/usr/local/apache2/bin</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image002.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwMl90aHVtYi5wbmc=.jpg"></a></p>
<p>htpasswd命令用法，我们可以通过htpasswd的帮助进行查看，如下：</p>
<p>htpasswd -h</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image003.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwM190aHVtYi5wbmc=.jpg"></a></p>
<p><b>二、htpasswd命令详解</b></p>
<p>在第一部分中，我们查看了htpasswd的帮助信息。现在我们来讲解下帮助信息中的相关参数。</p>
<p>htpasswd的帮助信息如下：</p>
<p>htpasswd -h</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image0031.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwMzFfdGh1bWIucG5n.jpg"></a></p>
<p>htpasswd [-cmdpsD] passwordfile username</p>
<p>htpasswd -b[cmdpsD] passwordfile username password</p>
<p>htpasswd -n[mdps] username</p>
<p>htpasswd -nb[mdps] username password</p>
<p>htpasswd命令选项参数说明：</p>
<p>-c创建一个加密文件。</p>
<p>-n不更新加密文件，只将htpasswd命令加密后的用户名和密码显示在屏幕上。</p>
<p>-m默认htpassswd命令采用MD5算法对密码进行加密，该参数默认情况下可以不加。</p>
<p>-d表示htpassswd命令采用CRYPT算法对密码进行加密。</p>
<p>-s表示htpassswd命令采用SHA算法对密码进行加密。</p>
<p>-p表示htpassswd命令不对密码进行进行加密，即明文密码。</p>
<p>-b表示在htpassswd命令行中一并输入用户名和密码而不是根据提示输入密码。</p>
<p>-D表示删除指定的用户。</p>
<p><b>三、htpasswd的实例</b></p>
<p>在第二步中，我们列出了htpasswd的参数说明，现在我们来通过实例，介绍如何使用这些参数。</p>
<p><b>3.1</b><b>利用htpasswd命令添加用户</b></p>
<p>通过htpasswd命令来添加一个用户，我们可以使用-b和-c参数。如下：</p>
<p>htpasswd -bc ilannifile ilanniuser 123456</p>
<p>cat ilannifile</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image004.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwNF90aHVtYi5wbmc=.jpg"></a></p>
<p>htpasswd -bc ilannifile ilanniuser 123456</p>
<p>表示在当前目录下生成一个ilannifile密码文件，并新增一个用户名为ilanniuser密码为123456的用户，默认采用MD5加密方式加密。</p>
<p><b>3.2</b><b>在原有密码文件中新增用户</b></p>
<p>在原有的密码文件中新增一个用户，我们可以使用-b参数。如下：</p>
<p>htpasswd -b ilannifile ilannitwo 123456</p>
<p>cat ilannifile</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image005.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwNV90aHVtYi5wbmc=.jpg"></a></p>
<p>htpasswd -b ilannifile ilannitwo 123456</p>
<p>表示在ilannifile密码文件中新增一个用户名为ilannitwo，密码为123456的用户。</p>
<p><b>注意：此时-c参数一定不能添加，否则会覆盖原来的密码文件再创建一个新的密码文件。</b></p>
<p><b>3.3</b><b>不更新密码文件，只显示加密后的用户名和密码</b></p>
<p>要不更新密码文件，而只显示加密后的用户名和密码，我们可以使用-n参数。如下：</p>
<p>htpasswd -n ilannitwo</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image006.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwNl90aHVtYi5wbmc=.jpg"></a></p>
<p>注意-n参数后面一定要跟密码文件中已经存在的用户。说实话，这个参数没有多大的实际意义。</p>
<p><b>3.4</b><b>利用htpasswd命令删除用户名和密码</b></p>
<p>要删除已经在密码文件存在的用户，我们可以通过-D参数来实现。如下：</p>
<p>htpasswd -D ilannifile ilannitwo</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image007.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwN190aHVtYi5wbmc=.jpg"></a></p>
<p><b>3.5</b><b>利用htpasswd命令修改用户密码</b></p>
<p>要达到这个目的，我们需要先利用htpasswd命令删除指定用户，然后再利用htpasswd创建用户即可实现修改密码的功能。如下：</p>
<p><a href="http://www.ilanni.com/wp-content/uploads/2015/01/clip_image008.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmlsYW5uaS5jb20vd3AtY29udGVudC91cGxvYWRzLzIwMTUvMDEvY2xpcF9pbWFnZTAwOF90aHVtYi5wbmc=.jpg"></a></p>
<p><b>四、htpasswd的应用</b></p>
<p>htpasswd可以与nagios、SVN、nginx、apache等进行集成使用，在此我们就不一一介绍。我们后续会单独介绍htpasswd与以上几个程序的集成使用。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 02:14:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/apachehtpasswd%e5%af%86%e7%a0%81%e5%b7%a5%e5%85%b7%e5%ba%94%e7%94%a8%e7%83%82%e6%b3%a5%e7%94%9f%e4%ba%a7/" title="Apachehtpasswd密码工具应用烂泥生产">Apachehtpasswd密码工具应用烂泥生产</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>apache密码生成工具htpasswd的应用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqD0NZb.html" rel="bookmark">apache密码生成工具htpasswd使用详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.htpasswd的作用与安装 htpasswd是apache的一个工具,该工具主要用于建立和更新存储用户名.密码的文本文件,主要用于对基于http用户的认证. htpasswd的安装很简单,它是随apache的安装而生成.这点与ab工具是一样的,这里就不详细说明了 如果apache是通过RPM的yum方式进行安装的话,该命令存放在/usr/bin/目录下,如下: which htpasswd /usr/bin/htpasswd 如果apache是源码方式安装的话,该命令存放在apache安装			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7o2Db.html" rel="bookmark">JS密码生成与强度检测完整实例&lpar;附demo源码下载&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS密码生成与强度检测的方法.分享给大家供大家参考,具体如下: 1. 生成强密码 截图如下: 相关代码如下: function getPwd(n) { var s = ''; while(n--) s += String.fromCharCode(33 + Math.floor(Math.random()*(126-33))) document.getElementById('txt1').value = s; } 2. 计算密码破解时间 截图如下: 相关代码如下: functio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0Ygjp.html" rel="bookmark">apache压力测试工具ab压测参数解释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ab是apache自带的一个很好用的压力测试工具,当安装完apache的时候,就可以在bin下面找到ab   1 我们可以模拟100个并发用户,对一个页面发送1000个请求 ./ab -n1000 -c100 http://vm1.jianfeng.com/a.html   其中-n代表请求数,-c代表并发数   返回结果: ##首先是apache的版本信息 This is ApacheBench, Version 2.3 &lt;Revision:655654&gt; Copyright 1996 Ad			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8kA3M.html" rel="bookmark">Android-WIFI密码破解工具编写初探</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 最近,在好几个安卓手机群里面都看到有朋友寻求WIFI密码破解工具,在网上经过一番搜索后发现居然没有这样的软件,这让我感到很奇怪,难道这样的功能实现起来很难?思索再三,决定探个究竟. 安卓WIFI原理浅析     首先看SDK中查看WIFI操作的相关类.WIFI的支持是在android.net.wifi包中提供的.里面有WifiManager.WifiInfo.WifiConfiguration与ScanResult等几个常用到的类,WIFI的管理通过WifiManager暴露出来的方法来操作,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP1vvz.html" rel="bookmark">基于JSP网页自动生成工具的设计与实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|设计|网页 摘 要:Web开发技术是Internet应用的一个重要方面,而JSP又是Web开发的最先进的技术,是当前Web开发人员的首选技术.但是由于JSP对Web开发人员要求较高,所以许多一般的Web开发人员还不能够使用这一项先进的技术.讨论基于模板和标签库的JSP网页自动生成工具的设计和实现,提出具体的设计思想和实现方法. 关键词:JSP:自动生成:Web开发:标签:标签库:模板 目录: 引言-------------------------..2 1          系统设计目标和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKdD1p.html" rel="bookmark">Tuscany的java静态模型类maven生成工具插件使用介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们可以通过tuscany提供的生成工具插件将SDO定义生成为实际需要的java类,为工作提供便利,以下是使用此插件的样例配置: &lt;plugin&gt; &lt;groupId&gt;org.apache.tuscany.sdo&lt;/groupId&gt; &lt;artifactId&gt;tuscany-sdo-plugin&lt;/artifactId&gt; &lt;executions&gt; &lt;execution&gt; &lt;id&gt;simple&lt;/id&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQLW6z.html" rel="bookmark">pass：一款简单的基于Linux命令行的密码管理工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现如今要记住类似 email.银行.社交媒体.在线支付.ftp 等等这么多的密码相信对每一个人来说都是一个巨大的挑战. 由于需求和使用,密码管理器现如今变得非常的流行.在 Linux 中我们可以有很多选择,包括基于 GUI 和基于 CLI 两种.今天我们要讲的是一款基于 CLI 的密码管理器叫做 pass . pass 是 Linux 上的一个简单的命令行密码管理器,它将密码存储在一个 gpg 加密后的文件里.这些加密后的文件很好地组织按目录结构存放. 所有密码都存在于 ~/.password-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVN8nVz.html" rel="bookmark">密码加密工具&lpar;C&num;代码&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 [原创]实用的密码加密工具(C#代码) 运行平台:Microsoft .NET Framework v1.1 开发平台:Microsoft Visual Studio .NET 2003 using System; using System.Drawing; using System.Collections; using System.ComponentModel; using System.Windows.Forms; using System.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJdOmp.html" rel="bookmark">七款值得推荐的开源密码管理工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一些 LastPass 用户对于 LogMeIn 公司以 $110 million 收购了 LastPass 感到非常可惜.但是还好,我们还有其他的开源替代品.当然,也有一些很不错的选择,比如 Dashlane,Keeper,Passpack,1Password 和 RoboForm,还有一些免费的密码管理系统.这里我们来介绍 7 款开源的密码管理工具. 1.Clipperz Clipperz 是智能在线密码管理器,可以存储机密数据,不需要担心安全问题.Clipperz 可以保存和管理密码,私密			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo703b.html" rel="bookmark" class="title">编译mysql提示错误：configure&colon; error&colon; No curses&sol;termcap library found 解决方法</a>
					<div>
						文章来源:   在编译Mysql时 ./configure –prefix=DIR 如果出现了以下错误: -- checking for tgetent in -ltermcap- no checki ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8xkBp.html" rel="bookmark" class="title">MD5算法在JS中的实现</a>
					<div>
						js|算法 &lt;script language=&quot;JavaScript&quot;&gt;&lt;!--/**************************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5mVRp.html" rel="bookmark" class="title">运营最好的地方社区网站19搂广告位的设置</a>
					<div>
						文章描述:19楼,作为运营最好的地方社区网站,在广告位的设置方面,我觉得为我们提供了很好的参考.在不影响用户体验的前提下,banner广告怎么放呢. 对于一些房产网站和地方社区网站来说,商家在网页上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxLaQM.html" rel="bookmark" class="title">总结：表单复选框向PHP传输数据的研究</a>
					<div>
						表单复选框就是checkbox 1.checkbox的应用    &lt;input type=&quot;checkbox&quot; name=&quot;ch&quot; value=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAnP0b.html" rel="bookmark" class="title">Android开发环境安装配置</a>
					<div>
						一.安装java的JDK 1.安装软件 1.jdk_7.0.70.10_windows_x64_XiaZaiBa.RAR 下载地址:http://www.oracle.com/technetwork/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrqNlp.html" rel="bookmark" class="title">flash钢笔工具教程</a>
					<div>
						钢笔的基本用法: 建立需要的路径,用法和PS相似.可以用钢笔工具来描绘特殊的路径来做引导线. 工具与工具的结合(增加和减少节点的方法!) 1.画一个图形 2.可以换成工具,然后再边缘处点击,小节点出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2KLoM.html" rel="bookmark" class="title">MySQL将表a中查询的数据插入到表b中</a>
					<div>
						 MySQL将表a中查询的数据插入到表b中 如果表b存在 1 &lt;code class=&quot;sql&quot;&gt;&lt;code class=&quot;sql&quot;&gt;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAoEvb.html" rel="bookmark" class="title">WPS表格怎样制作帕累托图</a>
					<div>
						WPS表格制作帕累托图的方法 假设我们已经在wps表格中制作出一个如下的产品缺陷原因次数分布表. 下面我们根据这些数据来制作一个帕累托图.先呈上最后完成的效果: 具体步骤: 1.选中单元格 B4:F1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYYwWM.html" rel="bookmark" class="title">Word2010奇偶页添加不同页眉页脚</a>
					<div>
						  我们在使用Word2010编辑文档时,常常需要在页面顶部或底部添加页码,有时还需要在首页.奇数页.偶数页使用不同的页眉或页脚.本篇经验就来介绍一下添加页码和使用不同页眉页脚的方法. 一.添加页码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd20BM.html" rel="bookmark" class="title">PS与CDR绘制瓢虫及背景实例教程</a>
					<div>
						此为作品完成图有点立体效果: 能完成作业的话,那我基本上达到目的了,呵呵 不懂的可以问~! [希望大家能做出这个效果显示在下面,我会把教程一一发布出来][任何人不得出版,刊登,模仿以下教程牟利,龙腾工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwONap.html" rel="bookmark" class="title">tipswindow不能取到重新输入的文本框的值</a>
					<div>
						问题描述 tipswindow不能取到重新输入的文本框的值 引入了 tw弹出层的插件 层里面代码 我赋1个值到文本框 $().val; 这样的方式赋值不上 这个值是数据库取出来的. 但是用了$().a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7AD3b.html" rel="bookmark" class="title">android-不按 call 键能把电话号码直接拨出去吗&quest;</a>
					<div>
						问题描述 不按 call 键能把电话号码直接拨出去吗? 我启动一个打电话Intent,代码如下: Intent callIntent = new Intent(Intent.ACTION_CALL); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o57Db.html" rel="bookmark" class="title">PHP代码审计片段讲解（入门代码审计、CTF必备）</a>
					<div>
						代码审计对于很多安全圈的新人来说,一直是一件头疼的事情,也想跟着大牛们直接操刀审计CMS?却处处碰壁: 函数看不懂! 漏洞原理不知道! PHP特性更不知! 那还怎么愉快审计? 不如化繁为简,跟着本项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NZ8Wz.html" rel="bookmark" class="title">java-AJAX 加载higthCharts  只能点击一次</a>
					<div>
						问题描述 AJAX 加载higthCharts 只能点击一次 AJAX 加载higthCharts 只能点击一次 在点击就出错了uncaught exception: Highcharts error ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NrV6z.html" rel="bookmark" class="title">DSOFramer&period;ocx 2&period;3版本还是打不开docx文件，捉急。。。求大虾指教。。</a>
					<div>
						问题描述 试着下载了几个版本的DSOFrame.ocx,也下载了源码自己编译的.ocx文件,但是还是只能打开.doc文件,一旦选择.docx文件就报错做的C/S的系统急需内嵌这个word控件,需要支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkx6Db.html" rel="bookmark" class="title">ReactNative（三）&mdash;&mdash;WebStorm的基本配置</a>
					<div>
						设置.js文件默认以jsx的语法打开 在没有进行设置的情况下,每次打开WebStorm的时候打开包含jsx语法的.js文件都会有以下提示: 当然我们点击转换后就可以了,但是每次都会提示,所以还是来一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NL9qM.html" rel="bookmark" class="title">支付宝为何延迟了收益</a>
					<div>
						有天早上,http://www.aliyun.com/zixun/aggregation/1434.html&quot;&gt;支付宝钱包的&quot;余额宝&quot;收益一栏中赫然显示着&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrdB5M.html" rel="bookmark" class="title">重庆：全面推行智慧交通建设便民利民</a>
					<div>
						&quot;现在,群众等601路公交车不用着急了,电子站台通过标记的路线沿线站名确定601的车行地点,还可以看到下一辆车的实时位置--老百姓做到心里有数,我们的这样举措也能更好地便民利民.&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA67nM.html" rel="bookmark" class="title">小米4延续1999元定价</a>
					<div>
						7月22日,小米将举行新品发布会,从目前情况来看,会有小米4等四款产品. 到底小米4是怎样的呢?有消息人士透露,小米4其实就是之前曝光的小米3S,只是换了个称号而已,本质还是小米3的小幅升级版而已.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l5y8b.html" rel="bookmark" class="title">字符串-关于VC使用API使打印机输出一系列文字的问题</a>
					<div>
						问题描述 关于VC使用API使打印机输出一系列文字的问题 最近在用vc写一个记事本,写到打印功能的实现,该功能是将一个编辑框内的文本通过打印机打印出来,打印功能函数代码如下: void PrintPa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZBJNb.html" rel="bookmark" class="title">如何获取c1flexgrid表中单元格的坐标</a>
					<div>
						问题描述 合计栏上边的c1flexgrid控件我放在了Panel控件中,我想要取得某一单元格的Left和Top值应该怎么做呢?我用过c1flexgrid.rows(1).top和c1flexgrid. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA6L3M.html" rel="bookmark" class="title">《iOS 8开发指南（第2版）》&mdash;&mdash;第6章，第6&period;2节Xcode中的MVC</a>
					<div>
						6.2 Xcode中的MVC iOS 8开发指南(第2版) 在用Xcode编程并在Interface Builder中安排用户界面(UI)元素后,Cocoa Touch的结构旨在利用MVC(Model ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQJ8Yp.html" rel="bookmark" class="title">大数据分析之技术框架整理</a>
					<div>
						大数据离线部分 HDFS 1:HDFS的架构部分及工作原理 NameNode:负责管理元素据,将信息保存在内存中 DataNode:保存数据,以块的形式保存.启动后需要定时的向NameNode发送心跳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AN5Vz.html" rel="bookmark" class="title">C&plus;&plus;之static&lowbar;cast&comma; dynamic&lowbar;cast&comma; const&lowbar;cast</a>
					<div>
						转自:http://www.cnblogs.com/chio/archive/2007/07/18/822389.html 首先回顾一下C++类型转换: C++类型转换分为:隐式类型转换和显式类型转换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKjKBb.html" rel="bookmark" class="title">web安全认证机制知多少</a>
					<div>
						    如今web服务随处可见,成千上万的web程序被部署到公网上供用户访问,有些系统只针对指定用户开放,属于安全级别较高的web应用,他们需要有一种认证机制以保护系统资源的安全,本文将探讨五种常用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWrqvz.html" rel="bookmark" class="title">win2008 iis7 上传大文件限制的真正解决办法&lowbar;win服务器</a>
					<div>
						iis7 上传大文件限制的真正解决办法 修改IIS_schema.xml这个文件要先获得这个文件的控制权; 进入目录C:\Windows\System32\inetsrv\config\schema, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBe7oM.html" rel="bookmark" class="title">窥探Swift之基本数据类型</a>
					<div>
						在上一篇博客&quot;窥探Swift编程之在Playground上尽情的玩耍&quot;中介绍了如何使用Playground来学习Swift语言.本篇博客就使用Playground来窥探Swift语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNvLdM.html" rel="bookmark" class="title">日本DSP新版&OpenCurlyDoubleQuote;娘化&rdquo;Windows 10发布：送萌妹</a>
					<div>
						自Windows 7开始,日本微软就推出了名为DSP版的定制系统,在保留原版全部功能和内容的基础上加入了二次元元素,比如主题.壁纸以及声音方案等等.现在,随着Windows 10创意者更新的正式推出, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLGkOM.html" rel="bookmark" class="title">怎么运用asp&period;net制作图片上传，修改，增加，删除，和手动播放，和自动播放。</a>
					<div>
						问题描述 怎么运用asp.net制作图片上传,修改,增加,删除,和手动播放,和自动播放. 解决方案 解决方案二:参考解决方案三:这是要做毕业设计了吗解决方案四:给啥啊,让他自生自灭解决方案五:引用2楼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNgjkM.html" rel="bookmark" class="title">从来不曾如今天一样有豪情</a>
					<div>
						从来不曾如今天一样有豪情从来不曾如今天一样有信心 不是因为发现了什么战略不是因为研发了什么技术不是因为有了多少资金不是因为获得了什么支持 只是因为有那样内心准则的我们用这样的决心站在了一起 &amp; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
